precision mediump float;
varying vec2 v_tex_coord;
varying vec2 v_tex_coord2;
uniform sampler2D s_texture;
uniform sampler2D s_texture2;
uniform bool u_alpha_test_enable;

void main()
{
  float mask = texture2D(s_texture, v_tex_coord).a;
  
  if (u_alpha_test_enable && mask < 0.4) discard;
  
  gl_FragColor = texture2D(s_texture2, v_tex_coord2) * vec4( 1,1,1, mask );
}
